// build with:
// $(CXX) -std=c++2a -I bandit a.cpp && ./a.out
#include <bandit/bandit.h>
#include <memory>

using namespace bandit;
using namespace snowhouse;

go_bandit([] {
  std::unique_ptr<int> k;

  before_each([&] {
    k = std::make_unique<int>(1);
  });

  describe("something", [&] {
    it("modifies", [&] {
      AssertThat(*k, Is().EqualTo(1));
    });
  });
});

go_bandit([] {
  describe("nothing", [&] {
    it("does nothing", [&] {
      AssertThat(1, Is().EqualTo(1));
    });
  });
});

int main(int argc, char ** argv) {
  return bandit::run(argc, argv);
}
